首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
neo2015
V2EX  ›  Android

想升级 APP 通信为 HTTPS,老版本怎么办?

  •  
  •   neo2015 · 2015-07-01 17:29:54 +08:00 · 1487 次点击
    这是一个创建于 1667 天前的主题,其中的信息可能已经有所发展或是发生改变。

    现在想对APP的API升级为HTTPS,但是老版本还有至少大量安装,很难全面升级。

    老版本的HTTP请求本身也不支持HTTPS。

    怎么解决这样的问题?

    7 回复  |  直到 2015-07-04 08:17:47 +08:00
    Septembers
        1
    Septembers   2015-07-01 17:31:54 +08:00
    新业务/新功能/新特性 HTTPS Only
    wwqgtxx
        2
    wwqgtxx   2015-07-01 17:39:04 +08:00 via Android
    单独开发一个api2.0呗
    66450146
        3
    66450146   2015-07-01 17:50:26 +08:00
    /v2/xxx
    guoer
        4
    guoer   2015-07-01 19:07:23 +08:00
    http和https是可以共存的把
    julyclyde
        5
    julyclyde   2015-07-01 21:45:40 +08:00
    老版本支持301/302么?
    r00tt
        6
    r00tt   2015-07-02 08:16:13 +08:00 via Android
    redirct
    chinalion
        7
    chinalion   2015-07-04 08:17:47 +08:00
    先并存
    逐渐淘汰老版本
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1850 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 29ms · UTC 08:03 · PVG 16:03 · LAX 00:03 · JFK 03:03
    ♥ Do have faith in what you're doing.